O'Reilly logo

PHP 5 Social Networking by Michael Peacock

Stay ahead with the world's most comprehensive technology and business learning platform.

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, tutorials, and more.

Start Free Trial

No credit card required

What you need for this book

During the course of this book, you will need the following software to try out the various code examples:

  • Apache 1.3 or above (2 recommended)
  • mod_rewrite module for Apache
  • MySQL 5.0 or above
  • PHP 5.0 or above (5.2 or above recommended)

When working locally on your own computer, a package such as WampServer 2 for Windows is recommended, as this will install PHP, Apache, and MySQL in one, and make enabling extensions easy.

A text editor is all that is required for editing the code. However, one with syntax highlighting would be beneficial (such as Crimson Editor or Notepad++).

For deployment, an FTP application such as FileZilla will be required, and an SSH client such as PuTTY for some of the backup and restoration options ...

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, interactive tutorials, and more.

Start Free Trial

No credit card required